//
//  SnowMBackgroundScanningService.swift
//  snowm_scanner
//
//  Created by Aawaz Gyawali on 4/11/20.
//

import Foundation
import CoreLocation

public protocol SnowMBackgroundScanningServiceDelegate {
    func onBeaconDetected(beacons:[SnowMBeacon], customData: Dictionary<String, Any>?)
    
    func onLocationUpdated(locations: [CLLocation])
    
    func onRegionEntered()
    
    func onRegionExited()
    
    func didEnterGeofence()
    
    func didExitGeofence()
}
